#include "TFile.h"
#include "TTree.h"
#include "TBrowser.h"
#include "TH2.h"
#include "TRandom.h"
#include "string.h"

void ShowAllproton()
{
  
  gROOT->SetStyle("Plain");
  gStyle->SetOptStat(1001111);
  //gStyle->SetPalette(1);
  //gStyle->SetOptStat(0);
  gStyle->SetOptStat(1000000);
  gStyle->SetStatFontSize(0.1);
  gStyle->SetTitleFontSize(0.08);

  gStyle->SetLabelSize(0.05, "X");
  gStyle->SetLabelSize(0.05, "Y");
  gStyle->SetTitleSize(0.05, "X");
  gStyle->SetTitleSize(0.05, "Y");

  //gStyle->SetMarkerStyle();


  TFile *f1 = new TFile("EnergySpectrum.root");   //

  f1->ls();
	
  string histName1="Cell_"; 
  string histName2="_Energy";


  //gStyle->SetOptLogy();
  gStyle->SetMarkerStyle(2);

  TCanvas *c1 = new TCanvas("c1","My Canvas",200,10,700,500);
  c1->SetFillColor(0);
  c1->SetFrameFillColor(0);
  c1->Divide(3,3);

  TCanvas *c2 = new TCanvas("c2","My Canvas 2",300,50,700,500);
  c2->SetFillColor(0);
  c2->SetFrameFillColor(0);
  c2->Divide(3,3);

  TCanvas *c3 = new TCanvas("c3","My Canvas 3",400,90,700,500);
  c3->SetFillColor(0);
  c3->SetFrameFillColor(0);
  c3->Divide(3,3);



  for(int i=0; i<28;i++){

   string histname= histName1+to_string(i)+histName2;

   TH1D *Cell_Energy = (TH1D*)f1->Get(histname.c_str());
	
   if(i<9){
    c1->cd(i+1);
	
	Cell_Energy->GetXaxis()->SetTitleSize(0.035);
	Cell_Energy->GetXaxis()->SetLabelSize(0.035);
	Cell_Energy->GetXaxis()->SetTitle("Energy (MeV)");
	//Cell_Energy->GetXaxis()->SetRange(2,4500);

	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetLabelSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleOffset(1.4);
	Cell_Energy->GetYaxis()->SetTitle("Counts");
	
	Cell_Energy->SetLineColor(2);

	Cell_Energy->SetLineWidth(2);
	Cell_Energy->SetOption("HIST");

	Cell_Energy->Draw();

	}

   if(i>8 && i<18){
    c2->cd(i-8);
	
	Cell_Energy->GetXaxis()->SetTitleSize(0.035);
	Cell_Energy->GetXaxis()->SetLabelSize(0.035);
	Cell_Energy->GetXaxis()->SetTitle("Energy (MeV)");
	//Cell_Energy->GetXaxis()->SetRange(2,4500);

	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetLabelSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleOffset(1.4);
	Cell_Energy->GetYaxis()->SetTitle("Counts");
	
	Cell_Energy->SetLineColor(2);

	Cell_Energy->SetLineWidth(2);
	Cell_Energy->SetOption("HIST");

	Cell_Energy->Draw();

	}

   if(i>17){
    c3->cd(i-17);
	
	Cell_Energy->GetXaxis()->SetTitleSize(0.035);
	Cell_Energy->GetXaxis()->SetLabelSize(0.035);
	Cell_Energy->GetXaxis()->SetTitle("Energy (MeV)");
	//Cell_Energy->GetXaxis()->SetRange(2,4500);

	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetLabelSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleOffset(1.4);
	Cell_Energy->GetYaxis()->SetTitle("Counts");
	
	Cell_Energy->SetLineColor(2);

	Cell_Energy->SetLineWidth(2);
	Cell_Energy->SetOption("HIST");

	Cell_Energy->Draw();

	}


}

}   

