
#ifndef EventAction_h
#define EventAction_h 1

#include "G4UserEventAction.hh"
#include "G4UserRunAction.hh"
#include "globals.hh"
#include "G4SystemOfUnits.hh"

class G4Event;
class RunAction;

class EventAction : public G4UserEventAction
{
  public:
    EventAction(RunAction*);
    ~EventAction();

  public:
    void BeginOfEventAction(const G4Event*);
    void EndOfEventAction(const G4Event*);
    
    void addEdepCell(G4double, G4int);
    
  private:
  
	G4double fEresol;

    RunAction*                runAction;
    G4double                  TotalEnergyDepositCell[30];

};

#endif
