
#ifndef RunAction_h
#define RunAction_h 1

#include "G4UserRunAction.hh"
#include "globals.hh"

class G4Run;
  
class RunAction : public G4UserRunAction
{
  public:
    RunAction();
    ~RunAction();

  public:
    void BeginOfRunAction(const G4Run*);
    void EndOfRunAction(const G4Run*);


// For ASCII file:
    void fillHistogram(G4double Energy);

 G4double  GetHistogram(int chan);
 G4int     GetNumberChannel();

private:

 G4double	      Histogram[4000];
 G4double	      Histogram2[4000];
 
 G4int		      NumberChannel;

 G4double	      EnergyRange;
 G4double	      EnergyRange2;

};

#endif
